id
| string | Tremendous ID of the order |
external_id
| string | Reference for this order, supplied by the customer. When set, external_id makes order idempotent. All requests that use the same external_id
after the initial order creation, will result in a response that returns the data of the
initially created order. The response will have a 201 response code. These responses
fail to create any further orders. It also allows for retrieving by external_id instead of id only. |
campaign_id
| string | ID of the campaign in your account, that defines the available products (different gift cards, charity, etc.)
that the recipient can choose from. |
created_at
| string date-time | Date the order was created |
status
| string | Execution status of a given order
| Status |
Description |
CANCELED |
The order and all of its rewards were canceled. |
OPEN |
The order has been created, but hasn't yet been processed. |
EXECUTED |
The order has been executed. Payment has been handled and rewards are being delivered (if applicable). |
FAILED |
The order could not be processed due to an error. E.g. due to insufficient funds in the account. |
PENDING APPROVAL |
The order has been created but needs approval to be executed. |
PENDING INTERNAL PAYMENT APPROVAL |
The order has been created but it is under review and requires approval from our team. |
PENDING SETTLEMENT |
The order has been created but the funds are being held until the settlement window clears. |
|
channel
| string | Name of the channel in which the order was created |
payment
| object | Cost breakdown of the order (cost of rewards + fees).
Cost and fees are denominated in the organization's currency (see payment currency_code), independent of the ordered rewards' currency.
Note that this property will only appear for processed orders (status is EXECUTED). |
|
Show object properties
| Property |
Type |
Description |
subtotal
| number double | Total price of the order before fees, denominated in currency_code. |
total
| number double | Total price of the order including fees, denominated in currency_code. |
fees
| number double | Fees for the order, denominated in currency_code. |
discount
| number double | Discount for the order, denominated in currency_code. |
currency_code
| string | Currency in which the payment amounts (subtotal, total, fees, discount, refund) are denominated. This always matches the organization's currency. |
refund
| object | Breakdown of the order refunds (total denominated in currency_code, independent of the ordered rewards' currency).
Note that this property will only appear for canceled orders or orders with canceled rewards. |
Show object properties
| Property |
Type |
Description |
total
| number double | Total amount of the order refunds, denominated in currency_code. |
currency_code
| string | Currency of the refund. Always matches the organization's currency. |
|
|
invoice_id
| string | The ID for the invoice associated with this order |
rewards
| array | |
|
Show array item type
| Property |
Type |
Description |
id
| string | Tremendous ID of the reward |
order_id
| string | Tremendous ID of the order this reward is part of. |
created_at
| string date-time | Date the reward was created |
expires_at
| string date-time | Expiration date of the reward. If null, the reward does not expire. |
campaign_id
| string | ID of the campaign in your account, that defines the available products (different gift cards, charity, etc.)
that the recipient can choose from. |
products
| array string | List of IDs of product (different gift cards, charity, etc.) that will be available
to the recipient to choose from. Providing a products array will override the products made available by the campaign
specified using the campaign_id property unless the products array is empty. It will
not override other campaign attributes, like the message and customization of the look and feel. |
value
| object | |
Show object properties
| Property |
Type |
Description |
denomination
| number double | Amount of the reward |
currency_code
| string | Currency of the reward. Defaults to the organization's currency if not provided. |
|
recipient
| object | Details of the recipient of the reward |
Show object properties
| Property |
Type |
Description |
name
| string | Name of the recipient |
email
| string | Email address of the recipient |
phone
| string | Phone number of the recipient. For non-US phone numbers, specify the country code (prefixed with +). |
|
deliver_at
| string date | Timestamp of reward delivery within the next year. Note that if date-time is provided, the time values will be ignored. |
custom_fields
| array | |
Show array item type
| Property |
Type |
Description |
id
| string | Tremendous ID of the custom field |
value
| string | Value of the custom field |
label
| string | Label of the custom field |
|
delivery
| object | Details on how the reward is delivered to the recipient. |
Show object properties
| Property |
Type |
Description |
method
| string | How to deliver the reward to the recipient.
| Delivery Method |
Description |
EMAIL |
Deliver the reward to the recipient by email |
LINK |
Deliver the reward to the recipient via a link.
The initial POST /orders response for a link reward includes the link in delivery.link.
The link must then be delivered to the recipient out-of-band.
To obtain a new link for an existing reward, call POST /rewards/{id}/generate_link.
|
PHONE |
Deliver the reward to the recipient by SMS |
|
status
| string | Current status of the delivery of the reward:
SCHEDULED - Reward is scheduled for delivery and will be delivered soon.
FAILED - Delivery of reward failed (e.g. email bounced).
SUCCEEDED - Reward was successfully delivered (email or text message delivered or reward link active).
PENDING - Delivery is pending but not yet scheduled.
|
|
|